# Completion tools for Nagscripts suite
_nagscripts_objects() {
    local object
    while read -r object ; do
        [[ $object == "${COMP_WORDS[COMP_CWORD]}"* ]] || continue
        COMPREPLY[${#COMPREPLY[@]}]=$object
    done < <(cat <(nagios-data-search .) <(nagios-data-search -s .))
    return
}
complete -F _nagscripts_objects -o default \
    nagios-acknowledge \
    nagios-data-search \
    nagios-downstream-list \
    nagios-downtime \
    nagios-exists \
    nagios-force-check
